epp_DomainInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainInfoRsp class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the domain info response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPDomainInfo and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainInfoRsp.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPDomainInfo`, `epp_DomainInfoReq`

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info` The authorization information associated with the domain object.
  `String` | `m_client_id` The identifier of the sponsoring client.
  `epp_DomainContact[]` | `m_contacts` The array of contacts associated with the domain object.
  `String` | `m_created_by` The identifier of the client that created the domain object.
  `String` | `m_created_date` The creation date of the domain object.
  `String` | `m_expiration_date` The expiration date of the domain object.
  `String[]` | `m_hosts` The array of host objects created under this domain object.
  `String` | `m_name` The name of the domain object in the registry.
  `String[]` | `m_name_servers` The array of name servers associated with the domain object.
  `String` | `m_registrant` The registrant associated with the domain object.
  `String` | `m_roid` The repository object identifier associated with the domain object.
  `epp_Response` | `m_rsp` The common and generic response element.
  `epp_DomainStatus[]` | `m_status` The array of status associated with the domain object.
  `String` | `m_transfer_date` The most recent transfer date of the domain object.
  `String` | `m_updated_by` The identifier of the client that last updated the domain object.
  `String` | `m_updated_date` The most recent modification date of the domain object.

  ## Constructor Summary
  `epp_DomainInfoRsp()` Empty constructor
  `epp_DomainInfoRsp(epp_Response _m_rsp, String _m_name, String _m_roid, epp_DomainStatus[] _m_status, String _m_registrant, epp_DomainContact[] _m_contacts, String[] _m_name_servers, String[] _m_hosts, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_expiration_date, String _m_transfer_date, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information associated with the domain object
  `String` | `getClientId()` Accessor method for the identifier of the sponsoring client
  `epp_DomainContact[]` | `getContacts()` Accessor method for the array of contacts associated with the domain object
  `String` | `getCreatedBy()` Accessor method for the identifier of the client that created the domain object
  `String` | `getCreatedDate()` Accessor method for the creation date of the domain object
  `String` | `getExpirationDate()` Accessor method for the expiration date of the domain object
  `String[]` | `getHosts()` Accessor method for the array of host objects created under this domain object
  `String` | `getName()` Accessor method for the name of the domain object in the registry
  `String[]` | `getNameServers()` Accessor method for the array of name servers associated with the domain object
  `String` | `getRegistrant()` Accessor method for the registrant associated with the domain object
  `String` | `getRoid()` Accessor method for the repository object identifier associated with the domain object
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `epp_DomainStatus[]` | `getStatus()` Accessor method for the array of status associated with the domain object
  `String` | `getTransferDate()` Accessor method for the most recent transfer date of the domain object
  `String` | `getUpdatedBy()` Accessor method for the identifier of the client that last updated the domain object
  `String` | `getUpdatedDate()` Accessor method for the most recent modification date of the domain object
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information associated with the domain object
  `void` | `setClientId(String value)` Accessor method for the identifier of the sponsoring client
  `void` | `setContacts(epp_DomainContact[] value)` Accessor method for the array of contacts associated with the domain object
  `void` | `setCreatedBy(String value)` Accessor method for the identifier of the client that created the domain object
  `void` | `setCreatedDate(String value)` Accessor method for the creation date of the domain object
  `void` | `setExpirationDate(String value)` Accessor method for the expiration date of the domain object
  `void` | `setHosts(String[] value)` Accessor method for the array of host objects created under this domain object
  `void` | `setName(String value)` Accessor method for the name of the domain object in the registry
  `void` | `setNameServers(String[] value)` Accessor method for the array of name servers associated with the domain object
  `void` | `setRegistrant(String value)` Accessor method for the registrant associated with the domain object
  `void` | `setRoid(String value)` Accessor method for the repository object identifier associated with the domain object
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `void` | `setStatus(epp_DomainStatus[] value)` Accessor method for the array of status associated with the domain object
  `void` | `setTransferDate(String value)` Accessor method for the most recent transfer date of the domain object
  `void` | `setUpdatedBy(String value)` Accessor method for the identifier of the client that last updated the domain object
  `void` | `setUpdatedDate(String value)` Accessor method for the most recent modification date of the domain object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information associated with the domain object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_client_id

    public String m_client_id

> The identifier of the sponsoring client.
> See Also:
>   `setClientId(String)`, `getClientId()`

### m_contacts

    public epp_DomainContact[] m_contacts

> The array of contacts associated with the domain object.
> See Also:
>   `setContacts(epp_DomainContact[])`, `getContacts()`

### m_created_by

    public String m_created_by

> The identifier of the client that created the domain object.
> See Also:
>   `setCreatedBy(String)`, `getCreatedBy()`

### m_created_date

    public String m_created_date

> The creation date of the domain object.
> See Also:
>   `setCreatedDate(String)`, `getCreatedDate()`

### m_expiration_date

    public String m_expiration_date

> The expiration date of the domain object.
> See Also:
>   `setExpirationDate(String)`, `getExpirationDate()`

### m_hosts

    public String[] m_hosts

> The array of host objects created under this domain object.
> See Also:
>   `setHosts(String[])`, `getHosts()`

### m_name

    public String m_name

> The name of the domain object in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_name_servers

    public String[] m_name_servers

> The array of name servers associated with the domain object.
> See Also:
>   `setNameServers(String[])`, `getNameServers()`

### m_registrant

    public String m_registrant

> The registrant associated with the domain object.
> See Also:
>   `setRegistrant(String)`, `getRegistrant()`

### m_roid

    public String m_roid

> The repository object identifier associated with the domain object.
> See Also:
>   `setRoid(String)`, `getRoid()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

### m_status

    public epp_DomainStatus[] m_status

> The array of status associated with the domain object.
> See Also:
>   `setStatus(epp_DomainStatus[])`, `getStatus()`

### m_transfer_date

    public String m_transfer_date

> The most recent transfer date of the domain object.
> See Also:
>   `setTransferDate(String)`, `getTransferDate()`

### m_updated_by

    public String m_updated_by

> The identifier of the client that last updated the domain object.
> See Also:
>   `setUpdatedBy(String)`, `getUpdatedBy()`

### m_updated_date

    public String m_updated_date

> The most recent modification date of the domain object.
> See Also:
>   `setUpdatedDate(String)`, `getUpdatedDate()`

## Constructor Details

### epp_DomainInfoRsp

    public epp_DomainInfoRsp()

> Empty constructor

### epp_DomainInfoRsp

    public epp_DomainInfoRsp(epp_Response _m_rsp,
                             String _m_name,
                             String _m_roid,
                             epp_DomainStatus[] _m_status,
                             String _m_registrant,
                             epp_DomainContact[] _m_contacts,
                             String[] _m_name_servers,
                             String[] _m_hosts,
                             String _m_client_id,
                             String _m_created_by,
                             String _m_created_date,
                             String _m_updated_by,
                             String _m_updated_date,
                             String _m_expiration_date,
                             String _m_transfer_date,
                             epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_name` - The name of the domain object in the registry
>   `_m_roid` - The repository object identifier associated with the domain object
>   `_m_status` - The array of status associated with the domain object
>   `_m_registrant` - The registrant associated with the domain object
>   `_m_contacts` - The array of contacts associated with the domain object
>   `_m_name_servers` - The array of name servers associated with the domain object
>   `_m_hosts` - The array of host objects created under this domain object
>   `_m_client_id` - The identifier of the sponsoring client
>   `_m_created_by` - The identifier of the client that created the domain object
>   `_m_created_date` - The creation date of the domain object
>   `_m_updated_by` - The identifier of the client that last updated the domain object
>   `_m_updated_date` - The most recent modification date of the domain object
>   `_m_expiration_date` - The expiration date of the domain object
>   `_m_transfer_date` - The most recent transfer date of the domain object
>   `_m_auth_info` - The authorization information associated with the domain object

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information associated with the domain object
> Returns:
>   The domain authorization information
> See Also:
>   `m_auth_info`

### getClientId

    public String getClientId()

> Accessor method for the identifier of the sponsoring client
> Returns:
>   The domain sponsoring client id
> See Also:
>   `m_client_id`

### getContacts

    public epp_DomainContact[] getContacts()

> Accessor method for the array of contacts associated with the domain object
> Returns:
>   The array of domain contacts
> See Also:
>   `m_contacts`

### getCreatedBy

    public String getCreatedBy()

> Accessor method for the identifier of the client that created the domain object
> Returns:
>   The identifier of the client that created the domain object
> See Also:
>   `m_created_by`

### getCreatedDate

    public String getCreatedDate()

> Accessor method for the creation date of the domain object
> Returns:
>   The domain creation date
> See Also:
>   `m_created_date`

### getExpirationDate

    public String getExpirationDate()

> Accessor method for the expiration date of the domain object
> Returns:
>   The domain expiration date
> See Also:
>   `m_expiration_date`

### getHosts

    public String[] getHosts()

> Accessor method for the array of host objects created under this domain object
> Returns:
>   The array of host objects
> See Also:
>   `m_hosts`

### getName

    public String getName()

> Accessor method for the name of the domain object in the registry
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getNameServers

    public String[] getNameServers()

> Accessor method for the array of name servers associated with the domain object
> Returns:
>   The array of domain name servers
> See Also:
>   `m_name_servers`

### getRegistrant

    public String getRegistrant()

> Accessor method for the registrant associated with the domain object
> Returns:
>   The domain registrant
> See Also:
>   `m_registrant`

### getRoid

    public String getRoid()

> Accessor method for the repository object identifier associated with the domain object
> Returns:
>   The domain repository object identifier
> See Also:
>   `m_roid`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### getStatus

    public epp_DomainStatus[] getStatus()

> Accessor method for the array of status associated with the domain object
> Returns:
>   The array of domain status
> See Also:
>   `m_status`

### getTransferDate

    public String getTransferDate()

> Accessor method for the most recent transfer date of the domain object
> Returns:
>   The domain transfer date
> See Also:
>   `m_transfer_date`

### getUpdatedBy

    public String getUpdatedBy()

> Accessor method for the identifier of the client that last updated the domain object
> Returns:
>   The identifier of the client that last updated the domain object
> See Also:
>   `m_updated_by`

### getUpdatedDate

    public String getUpdatedDate()

> Accessor method for the most recent modification date of the domain object
> Returns:
>   The most recent modification date
> See Also:
>   `m_updated_date`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information associated with the domain object
> Parameters:
>   `value` - The domain authorization information
> See Also:
>   `m_auth_info`

### setClientId

    public void setClientId(String value)

> Accessor method for the identifier of the sponsoring client
> Parameters:
>   `value` - The domain sponsoring client id
> See Also:
>   `m_client_id`

### setContacts

    public void setContacts(epp_DomainContact[] value)

> Accessor method for the array of contacts associated with the domain object
> Parameters:
>   `value` - The array of domain contacts
> See Also:
>   `m_contacts`

### setCreatedBy

    public void setCreatedBy(String value)

> Accessor method for the identifier of the client that created the domain object
> Parameters:
>   `value` - The identifier of the client that created the domain object
> See Also:
>   `m_created_by`

### setCreatedDate

    public void setCreatedDate(String value)

> Accessor method for the creation date of the domain object
> Parameters:
>   `value` - The domain creation date
> See Also:
>   `m_created_date`

### setExpirationDate

    public void setExpirationDate(String value)

> Accessor method for the expiration date of the domain object
> Parameters:
>   `value` - The domain expiration date
> See Also:
>   `m_expiration_date`

### setHosts

    public void setHosts(String[] value)

> Accessor method for the array of host objects created under this domain object
> Parameters:
>   `value` - The array of host objects
> See Also:
>   `m_hosts`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setNameServers

    public void setNameServers(String[] value)

> Accessor method for the array of name servers associated with the domain object
> Parameters:
>   `value` - The array of domain name servers
> See Also:
>   `m_name_servers`

### setRegistrant

    public void setRegistrant(String value)

> Accessor method for the registrant associated with the domain object
> Parameters:
>   `value` - The domain registrant
> See Also:
>   `m_registrant`

### setRoid

    public void setRoid(String value)

> Accessor method for the repository object identifier associated with the domain object
> Parameters:
>   `value` - The domain repository object identifier
> See Also:
>   `m_roid`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### setStatus

    public void setStatus(epp_DomainStatus[] value)

> Accessor method for the array of status associated with the domain object
> Parameters:
>   `value` - The array of domain status
> See Also:
>   `m_status`

### setTransferDate

    public void setTransferDate(String value)

> Accessor method for the most recent transfer date of the domain object
> Parameters:
>   `value` - The domain transfer date
> See Also:
>   `m_transfer_date`

### setUpdatedBy

    public void setUpdatedBy(String value)

> Accessor method for the identifier of the client that last updated the domain object
> Parameters:
>   `value` - The identifier of the client that last updated the domain object
> See Also:
>   `m_updated_by`

### setUpdatedDate

    public void setUpdatedDate(String value)

> Accessor method for the most recent modification date of the domain object
> Parameters:
>   `value` - The most recent modification date
> See Also:
>   `m_updated_date`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS